*
Customer Self-service IDP - Base Setup https://confluence.zebra.com/display/ZRPS/Customer+Self-Service+IDP+API+Design Permission Level: Admin
POST /workertenant/v1/tenants/onboard-customer-idp-base-setup
Operation id: WorkerTenantService_OnboardCustomerIdpBaseSetup
Tags: WorkerTenantService
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
url | string | No | The URL of either the SAML metadata file or the OIDC well-known endpoint. Required: false if type is provided. |
type | string | No | |
tenantId | string | No |
{
"type": "object",
"properties": {
"url": {
"type": "string",
"description": "The URL of either the SAML metadata file or the OIDC well-known endpoint. Required: false if type is provided."
},
"type": {
"type": "string",
"enum": [
"NONE",
"OIDC",
"SAML"
],
"default": "NONE"
},
"tenantId": {
"type": "string"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
oidc | object | No | |
saml | object | No |
{
"type": "object",
"properties": {
"oidc": {
"type": "object",
"properties": {
"authorizationUri": {
"type": "string"
},
"tokenUri": {
"type": "string"
},
"userInfoUri": {
"type": "string"
},
"jwkSetUri": {
"type": "string"
},
"revocationEndpoint": {
"type": "string"
},
"endSessionEndpoint": {
"type": "string"
},
"redirectUri": {
"type": "string"
},
"deviceAuthorizationEndpoint": {
"type": "string"
}
}
},
"saml": {
"type": "object",
"properties": {
"entityId": {
"type": "string",
"description": "Service Provider (SP) entity id for this tenant. Auto-generated. Randomly generated string."
},
"idpMetadataUrl": {
"type": "string",
"description": "Same URL from request.\nThe API only checked that the URL can be accessed and its contents are XML.\nFurther validation and parsing are delegated to Spring Security at authentication time."
},
"spAcsUrl": {
"type": "string"
},
"spSloUrl": {
"type": "string"
},
"spMetadataUrl": {
"type": "string"
},
"idpMetadata": {
"type": "string",
"description": "IDP metadata encoded as base 64. If set, the customer uploaded the IDP metadata instead of providing an IDP metdatada URL."
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}